【python】BeautifulSoup4.0b?

スポンサーリンク

OSXもLionになって

pythonがデフォルトで2.7.1となりました。
で、クリーンインストールしたOSXのpythonモジュールを新規にインストール。
と、BeautifulSoupが起動しない・・・。

インストールは成功しているようですが、インストールしたものを見ると、
BeautifulSoup 4.0b
と、なっています。4.0ベータ?気になって公式サイトに行きますと、
【BeautifulSoup公式サイト】

ここに書いてありました。
New! Try out the beta release of Beautiful Soup 4. (2011/08/16)

となっています。

おお。なんか最近になって登場したようです。
ただ、残念なことにpython3でのみ動くようです。

ここはおとなしく3.2を入れることにします。
で、ふと思い出せなかったのが、easy installのバージョン指定の方法。

備忘録がわりにメモです。easy installでバージョン指定する場合は

easy_install BeautifulSoup==3.2

となります。

スポンサーリンク

シェアする

フォローする

スポンサーリンク